Cassandra.Processor.multiget_count (apache-cassandra API)
Date: 2018-02-14

org.apache.cassandra.thrift

## Class Cassandra.Processor.multiget_count<I extends Cassandra.Iface>

- java.lang.Object
- - org.apache.thrift.ProcessFunction<I,Cassandra.multiget_count_args>
  - - org.apache.cassandra.thrift.Cassandra.Processor.multiget_count<I>

- Enclosing class:
    Cassandra.Processor<I extends Cassandra.Iface>

      public static class Cassandra.Processor.multiget_count<I extends Cassandra.Iface>
      extends org.apache.thrift.ProcessFunction<I,Cassandra.multiget_count_args>

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `multiget_count()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Cassandra.multiget_count_args` | `getEmptyArgsInstance()`
    `Cassandra.multiget_count_result` | `getResult(I iface, Cassandra.multiget_count_args args)`
    `protected boolean` | `isOneway()`

    - ### Methods inherited from class org.apache.thrift.ProcessFunction

      `getMethodName, process`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### multiget_count

          public multiget_count()

  - ### Method Detail

    - #### getEmptyArgsInstance

          public Cassandra.multiget_count_args getEmptyArgsInstance()

      Specified by:
        `getEmptyArgsInstance` in class `org.apache.thrift.ProcessFunction<I extends Cassandra.Iface,Cassandra.multiget_count_args>`

    - #### isOneway

          protected boolean isOneway()

      Specified by:
        `isOneway` in class `org.apache.thrift.ProcessFunction<I extends Cassandra.Iface,Cassandra.multiget_count_args>`

    - #### getResult

          public Cassandra.multiget_count_result getResult(I iface,
                                                           Cassandra.multiget_count_args args)
                                                    throws org.apache.thrift.TException

      Specified by:
        `getResult` in class `org.apache.thrift.ProcessFunction<I extends Cassandra.Iface,Cassandra.multiget_count_args>`
      Throws:
        `org.apache.thrift.TException`

Copyright © 2018 The Apache Software Foundation